PSC(1)

NOM
psc – Préparation de fichier sc

SYNOPSIS
psc [-fLkrSPv] [-s cellule] [-R n] [-C n] [-n n] [-d c]

DESCRIPTION
psc sert à préparer des données pour une entrée dans le tableur sc(1). Il accepte les données normales en ASCII sur l’entrée standard. La sortie standard est un fichier sc. Sans options, psc démarre le tableur dans la cellule A0. Les chaines sont justifiées à droite. Toutes les données d’une ligne sont entrées dans la même rangée. De nouvelles lignes d’entrée incrémentent de un le numéro de rangée. Les délimiteurs par défaut sont l’espace et la tabulation. Les formats de colonne sont définis à une largeur de plus que le nombre de colonnes nécessaire pour que la valeur la plus large tienne dans la colonne.

OPTIONS

-f  Omission du calcul de largeur de colonne. Cette option sert à préparer les données pour une fusion dans une feuille de calcul existante. Si cette option n’est pas indiquée, les largeurs de colonne calculées pour les données lues par psc écraseront celles déjà définies dans la feuille de calcul existante.

-L  Justification à gauche des chaines.

-k  Conservation de tous les délimiteurs. Cette option fait que la cellule de sortie change à chaque rencontre d’un délimiteur dans le flux d’entrée. L’action par défaut est de réduire plusieurs délimiteurs à un seul de telle façon que la cellule ne change qu’une fois par item de données d’entrée

-r  Sortie des données par rangée d’abord puis par colonne. Pour une entrée consistant en une seule colonne, cette option aboutit à une sortie d’une seule rangée avec de multiples colonnes au lieu d’une feuille de calcul avec une seule colonne.

-s cellule
    Démarrage au coin gauche haut de la feuille de calcul dans la cellule. Par exemple, -s B33 disposera les données de sortie de telle façon que la feuille de calcul démarre dans la colonne B de la rangée 33.

-R n
    Incrémentation de n pour chaque nouvelle rangée de sortie.

-C n
    Incrémentation de n pour chaque nouvelle colonne de sortie.

-n n
    Sortie de n rangées avant d’avancer à la prochaine colonne. Cette option sert quand l’entrée est composée d’une seule colonne et que la feuille de calcul doit avoir plusieurs colonnes dont la longueur est de n rangées

-d caractère
    Utilisation du seul caractère caractère comme délimiteur entre les champs d’entrée.

-P  Utilisation seulement de nombres purs. Un champ est un nombre quand aucun [-+eE] n’est imbriqué.

-S  Tous les nombres sont des chaines.

-v  Afficher la version de psc.

VOIR AUSSI
sc(1)

AUTEUR

Robert Bond

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.